#!/bin/sh

#インストール環境が64bit用か32Bit用かを設定
platform=`uname -i`
if test $platform = "x86_64"
then
 msg=MirrorDTCサーバーの64Bit版をアプリケーションとして登録しました。
else
 msg=MirrorDTCサーバーの32Bit版をアプリケーションとして登録しました。
fi
#実行スクリプト関連の設定
bindir=$PWD/bin
exescript=$bindir/mcsrv.sh
#デスクトップファイルのパスを設定
desktopfile=~/.local/share/applications/mcsrv.desktop
#デスクトップファイルを作成
mkdir -p -v ~/.local/share/applications
echo [Desktop Entry] > $desktopfile
echo Version=1.0 >> $desktopfile
echo Type=Application >> $desktopfile
echo Terminal=false >> $desktopfile
echo StartupNotify=true >> $desktopfile
echo Name=MirrorDTC-Server >> $desktopfile
echo Comment=リモート操作サーバーソフト >> $desktopfile
echo Icon=$bindir/mcsrv.png >> $desktopfile
echo Exec=$bindir/mcsrv.sh >>$desktopfile
echo Categories="Network" >> $desktopfile
chmod +x $desktopfile
#実行スクリプトの作成
echo "#!/bin/sh" > $exescript
echo 'export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/usr/lib/jvm/java-7-oracle/jre/lib/i386' >> $exescript
echo 'export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/usr/lib/jvm/java-7-oracle/jre/lib/amd64' >> $exescript
echo cd $bindir >> $exescript
echo 'java -Djava.library.path=. -Xms128m -Xmx256m -jar mcsrv.jar &' >> $exescript
chmod +x $exescript
#終了メッセージを表示
echo
echo $msg
echo
